### Function

# EDataServer Module load_all_in_directory

since: 3.4

#### Declaration [src]

    GList*
    e_module_load_all_in_directory (
      const gchar* dirname
    )

#### Description [src]

Loads all the modules in the specified directory into memory. If you want to unload them (enabling on-demand loading) you must call `g_type_module_unuse()` on all the modules. Free the returned list with g_list_free().

Available since: 3.4

#### Parameters

`dirname`

  Type: `const gchar*`

  Pathname for a directory containing modules to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `EModule*`

A list of `EModules` loaded from `dirname`.

The caller of the function takes ownership of the data container, but not the data inside it.